This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 60942 - fam litters /tmp with old socket files
fam litters /tmp with old socket files
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: fam (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-09 18:52 EST by Landon Curt Noll
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-09 18:52:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Landon Curt Noll 2002-03-09 18:52:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-21custom i686)

Description of problem:
The fam daemon leaves behind socket files of the form
/tmp/.fam*.  Over time a great many such files will
litter /tmp.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.login to a system using fam that has been up for a while
2.ls -l /tmp/.fam*

Actual Results:  You will see lots of .fam* files, most of them inactive.


Expected Results:  Only a few active socket files should be found.


Additional info:

It is not a good idea to simply remove .fam* files that
are older than X days since somebody could be logged in
for a long time and have legit .fam* files that are old.

A potential fix is to run the following cleanup script
from cron on, say a weekly or daily basis:

/usr/bin/find /tmp -name '.fam*' -type s |
  while read file; do
    if ! /sbin/fuser -s $file; then
        /bin/rm -f $file
    fi
  done
Comment 1 Alexander Larsson 2002-03-11 11:03:59 EST
This was fixed in 2.6.7-4. It now removes the temporary files in a more robust way.


Note You need to log in before you can comment on or make changes to this bug.